%define oname pytest-services

Name: python3-module-%oname
Version: 2.2.1
Release: alt3

Summary: Services plugin for pytest testing framework

License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/pytest-services/

# Source-git: https://github.com/pytest-dev/pytest-services.git
Source: %name-%version.tar
Patch: support-python3.12.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-build-intro

BuildRequires: python3-module-setuptools_scm
BuildRequires: python3-module-pytest-cov python3-module-tox

# generated by 'epm restore --dry-run' from python3-module-pytest-services/setup.py install_requires
%py3_use requests
%py3_use psutil
%py3_use pytest
%py3_use zc.lockfile >= 2.0


%py3_provides pytest_services
%py3_requires requests psutil
# we have several versions of Django
# so, we cannot rely on auto-requires
%filter_from_requires /^python3(django\(\..*\)\?)/d

%description
The plugin provides a set of fixtures and utility functions to start
service processes for your tests with pytest.

%prep
%setup
%patch -p1

# Added by upstream in initial commit, 10 years didn't removed ¯\_(ツ)_/¯
rm -v pytest_services/gui.py.orig

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%python3_build

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%python3_install

%check
py.test3 -vv --fixtures tests

%files
%doc *.rst docs/*.rst docs/api
%python3_sitelibdir/*

%changelog
* Tue Jul 16 2024 Grigory Ustinov <grenka@altlinux.org> 2.2.1-alt3
- Bring back to Sisyphus with python3.12 support.

* Mon May 30 2022 Grigory Ustinov <grenka@altlinux.org> 2.2.1-alt2
- Fixed BuildRequires.

* Wed Aug 11 2021 Vitaly Lipatov <lav@altlinux.ru> 2.2.1-alt1
- new version 2.2.1 (with rpmrb script)

* Fri Jul 23 2021 Grigory Ustinov <grenka@altlinux.org> 2.0.1-alt2
- Rename package, cleanup spec.

* Tue Dec 03 2019 Anton Farygin <rider@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Fri Sep 06 2019 Anton Farygin <rider@altlinux.ru> 1.3.1-alt1
- 1.2.1 -> 1.3.1
- removed subpackage for python-2
- added filter for django autorequires

* Thu Nov 09 2017 Aleksei Nikiforov <darktemplar@altlinux.org> 1.2.1-alt1
- Updated to upstream version 1.2.1.

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 1.1.3-alt1.git20150725.1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Thu Jan 28 2016 Mikhail Efremov <sem@altlinux.org> 1.1.3-alt1.git20150725.1
- NMU: Use buildreq for BR.

* Tue Jul 28 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.3-alt1.git20150725
- Version 1.1.3

* Tue Jan 20 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0.4-alt1.git20150120
- Version 1.0.4

* Tue Jan 20 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0.3-alt1.git20150120
- Initial build for Sisyphus

